import java.util.*;
import java.text.*;

class Pensamento extends Publicacao {
  // Atributos privados.
  public String conteudo;
  private int numLikes;
  private int numDislikes;

  // Seters.
  private void setConteudo(String novoConteudo) {
    this.conteudo = novoConteudo;
  }
  private void setNumLikes () {
    this.numLikes = 0;
  }
  private void setNumDislikes () {
    this.numDislikes = 0;
  }

  // Geters.
  public String getConteudo() {
    return(this.conteudo);
  }
  public int getNumLikes() {
    return(this.numLikes);
  }
  public int getNumDislikes() {
    return(this.numDislikes);
  }

  // Metodos
  public void aumentaLikes() {
    this.numLikes++;
  }
  public void aumentaDislikes() {
    this.numDislikes++;
  }

  // Construtor
  public Pensamento(String novoConteudo, Usuario novoUsuario) {
    this.setConteudo(novoConteudo);
    this.setNumLikes();
    this.setNumDislikes();
    this.setHorario();
    this.setUsuario(novoUsuario);
  }
}
